Summary:       Library for integration of cloud storage providers
Name:          libcloudproviders
Version:       0.3.1
Release:       4%{?dist}
License:       LGPLv3+
URL:           https://gitlab.gnome.org/World/libcloudproviders
Source0:       https://ftp.gnome.org/pub/GNOME/sources/libcloudproviders/0.3/libcloudproviders-%{version}.tar.xz

BuildRequires: gcc meson vala
BuildRequires: pkgconfig(gio-2.0) pkgconfig(glib-2.0) pkgconfig(gobject-introspection-1.0)

%description
libcloudproviders is a DBus API that allows cloud storage sync clients to expose
their services. Clients such as file managers and desktop environments can then
provide integrated access to the cloud providers services.

%package        devel
Summary:        Development files for libcloudproviders
Requires:       libcloudproviders = %{version}-%{release}

%description    devel
The libcloudproviders-devel package contains libraries and header files for
developing applications that use libcloudproviders.

%prep
%autosetup -p1

%build
%meson
%meson_build


%install
%meson_install

%files
%license LICENSE
%doc CHANGELOG README.md

%{_libdir}/libcloudproviders.so.0*
%{_libdir}/girepository-1.0/CloudProviders-0.3.typelib

%files devel
%{_includedir}/cloudproviders/

%{_libdir}/pkgconfig/cloudproviders.pc
%{_libdir}/libcloudproviders.so

%{_datadir}/gir-1.0/CloudProviders-0.3.gir
%{_datadir}/vala/vapi/cloudproviders.*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.1-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 29 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.3.1-2
- rebuild for ocs

* Thu Sep 1 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.3.1-1
- package init.
